package org.rcisoft.bus.wmsgoodslog.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/
@Data
@TableName("wms_goods_log")
public class WmsGoodsLog  extends CyIdIncreEntity<WmsGoodsLog> {

     private String ioType;

     @Excel(name = "商品名称", orderNum = "1", width = 20)
     private String goodsName;

     @Excel(name = "商品编码", orderNum = "2", width = 20)
     private String goodsCode;

     private Integer applyId;

     @Excel(name = "数量", orderNum = "8", width = 20)
     private Integer goodsCounts;

     @JsonFormat(pattern = "yyyy-MM-dd")
     @Excel(name = "发货时间", orderNum = "9", width = 20, format = "yyyy-MM-dd")
     @DateTimeFormat(pattern = "yyyy-MM-dd")
     private Date createDate;

     private Integer updateCounts;



     private Integer goodsId;

     @Excel(name = "货号", orderNum = "3", width = 20)
     @TableField(exist = false)
     private String goodsArtNumber;

     @Excel(name = "款式", orderNum = "5", width = 20)
     @TableField(exist = false)
     private String goodsStyle;

     @Excel(name = "规格", orderNum = "6", width = 20)
     @TableField(exist = false)
     private String goodsNorms;

     @Excel(name = "尺码", orderNum = "7", width = 20)
     @TableField(exist = false)
     private String goodsSize;

     @Excel(name = "品牌", orderNum = "4", width = 20)
     @TableField(exist = false)
     private String goodsBrand;

     @Excel(name = "门店", orderNum = "0", width = 20,replace = {"门店1_5","门店2_6","门店3_7"})
     @TableField(exist = false)
     private String outGoods;

     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     @JsonIgnore
     @TableField(exist = false)
     private String maxNum;

     @JsonIgnore
     @TableField(exist = false)
     private String minNum;
}

